summaryrefslogtreecommitdiff
path: root/source3/script
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2012-08-27 21:02:28 +1000
committerAndrew Bartlett <abartlet@samba.org>2012-08-28 07:57:29 +1000
commit1a8fd711d7e4f97a6749b5d6c4806b11c38f20f4 (patch)
tree89e55543ec1644da82447c2c4bdf35d5f6e91861 /source3/script
parente66fa2c8134a886f52419f4a33992b200b00ff49 (diff)
downloadsamba-1a8fd711d7e4f97a6749b5d6c4806b11c38f20f4.tar.gz
samba-1a8fd711d7e4f97a6749b5d6c4806b11c38f20f4.tar.bz2
samba-1a8fd711d7e4f97a6749b5d6c4806b11c38f20f4.zip
selftest: Add test of smbclient --machine-pass against and using both s3 and s4
This uses both smbclient binaries to ensure that both work in both environments. Andrew Bartlett
Diffstat (limited to 'source3/script')
-rwxr-xr-xsource3/script/tests/test_smbclient_machine_auth.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/source3/script/tests/test_smbclient_machine_auth.sh b/source3/script/tests/test_smbclient_machine_auth.sh
new file mode 100755
index 0000000000..f67256d19b
--- /dev/null
+++ b/source3/script/tests/test_smbclient_machine_auth.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# this runs the file serving tests that are expected to pass with samba3 against shares with various options
+
+if [ $# -lt 2 ]; then
+cat <<EOF
+Usage: test_smbclient_machine_auth.sh SERVER SMBCLIENT <smbclient arguments>
+EOF
+exit 1;
+fi
+
+SERVER="$1"
+SMBCLIENT="$2"
+SMBCLIENT="$VALGRIND ${SMBCLIENT}"
+shift 2
+ADDARGS="$*"
+
+incdir=`dirname $0`/../../../testprogs/blackbox
+. $incdir/subunit.sh
+
+testit "smbclient //$SERVER/tmp" $SMBCLIENT //$SERVER/tmp --machine-pass -I $SERVER_IP -p 139 -c quit $ADDARGS